#ifndef QBRAINFUCK_H
#define QBRAINFUCK_H

#include <QMainWindow>
#include <QMessageBox>
#include <QFileDialog>
#include <QPainter>
#include <qrencode.h>
#include "decoderthread.h"

namespace Ui {
class QBrainfuck;
}

class QBrainfuck : public QMainWindow
{
    Q_OBJECT

public:
    explicit QBrainfuck(QWidget *parent = 0);
    ~QBrainfuck();

private slots:
    void on_encodeButton_clicked();

    void on_decodeButton_clicked();

    void on_motifButton_clicked();

    void on_textTextEdit_textChanged();

    void on_programTextEdit_textChanged();

    void on_motifTextEdit_textChanged();

    void on_regexLineEdit_textChanged(const QString &arg1);

    void setText(QString text);

    void errorMessage(QString message);

    void on_textLoadButton_clicked();

    void on_textSaveButton_clicked();

    void on_programLoadButton_clicked();

    void on_programSaveButton_clicked();

    void on_motifLoadButton_clicked();

    void on_motifSaveButton_clicked();

    void on_resultSaveButton_clicked();

    void on_resultLoadButton_clicked();

    void on_qrcodeButton_clicked();

    void on_resultTextEdit_textChanged();

    void on_qrcodeSaveButton_clicked();

    void on_saveAllButton_clicked();

    void on_loadAllButton_clicked();

private:
    Ui::QBrainfuck *ui;
    DecoderThread *decoder;
};

#endif // QBRAINFUCK_H
